package hu.bme.mit.ftsrg.healthcentre.model;

import java.util.HashMap;
import java.util.Map;

public final class HealthCentreModel {
	private final Map<String, Doctor> doctors = new HashMap<>();
	private final Map<String, Patient> patients = new HashMap<>();

	public Map<String, Doctor> doctors() {
		return doctors;
	}

	public Map<String, Patient> patients() {
		return patients;
	}

	public Doctor getDoctorBySealNumber(int sealNumber) {
		for (Doctor doctor : doctors.values()) {
			if (doctor.getSealNumber() == sealNumber) {
				return doctor;
			}
		}

		return null;
	}
}
